<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.2"?>
<plugin>
   <extension
         point="org.eclipse.mtj.ui.midlettemplate">
      <template
            description="%splash.template.description"
            id="splash-template"
            name="Splash MIDlet Template"
            overview="A template to create a splash screen application."
            page="org.eclipse.mtj.internal.templates.SplashApplicationWizardPage">
      </template>
      <template
            description="%sms.template.description"
            id="sms-template"
            name="SMS Server Template"
            overview="A template for creating an application that supports receiving SMS messages."
            permissions="javax.microedition.io.Connector.sms,javax.wireless.messaging.sms.receive"
            page="org.eclipse.mtj.internal.templates.SMSServerTemplateWizardPage">
      </template>
      <template
            description="%download.template.description"
            id="download-template"
            name="Image Downloader Template"
            overview="A template that creates an application that downloads images from the Internet."
            permissions="javax.microedition.io.HttpConnection"
            page="org.eclipse.mtj.internal.templates.ImageDownloaderWizardPage">
      </template>
      <template
            description="%display.template.description"
            id="display-template"
            name="Display Manager Template"
            overview="A template for an application with a Display Manager."
            page="org.eclipse.mtj.internal.templates.DisplayTemplateWizardPage">
      </template>
      <template
            description="%game.template.description"
            id="game-template"
            name="Game Template"
            overview="A template for games with a built in game engine."
            page="org.eclipse.mtj.internal.templates.GameTemplateWizardPage">
      </template>
   </extension>

</plugin>
